Bug 12578 - Virtualbox-4.3.6 is only in English
: Virtualbox-4.3.6 is only in English
Product: Mageia
Classification: Unclassified
Component: RPM Packages
: 4
: x86_64 Linux
: Normal Severity: normal
: ---
Assigned To: Thomas Backlund
: mga4-32-ok
: Triaged
: 8826
  Show dependency treegraph
Reported: 2014-02-04 18:48 CET by David GEIGER
Modified: 2014-04-20 21:00 CEST (History)
4 users (show)

See Also:
Source RPM: virtualbox
Status comment:


Description David GEIGER 2014-02-04 18:48:01 CET

On a new fresh install of mga4 for x86_64 (full DVD), I see that virtualbox-4.3.6 package is only in English.

It is impossible to change language in the settings.

Yet the language files are present in the folder "/usr/share/virtualbox/nls/*.qm"

What can come from this incident?


Steps to Reproduce:
Comment 1 Oleg Bosis 2014-02-04 20:57:31 CET
The problem is that /usr/share/virtualbox/ is a wrong place for vbox translation files and other data. Try to put them manually in /usr/lib{,64}/virtualbox/ (depending on your arch).

In spec file *all* vbox data (including translations) should go into the same dir that is defined as %{vboxlibdir} and nowhere else to vbox could find them. This would probably break some mageia packaging rules but there is no other choice.

The bug in this line in spec (line No 276):

# move noarch files to vboxdatadir
mv %{buildroot}%{vboxlibdir}/{VBox*.sh,nls,*.desktop,*.png} %{buildroot}%{vboxdatadir}

It should *not* move 'nls' folder anywhere because vbox knows nothing about this %{vboxdatadir}. I'm not sure about VBox*.sh files but probably they should as well remain where they are.
Comment 2 David GEIGER 2014-02-04 21:07:09 CET
Ok Oleg Bosis,

I can confirm:

With this workaround translations work on virtualbox:

# ln -s /usr/share/virtualbox/nls/*.qm /usr/lib64/virtualbox/
Comment 3 Morgan Leijström 2014-02-04 22:08:37 CET
I executed # ln -s /usr/share/virtualbox/nls/*.qm /usr/lib64/virtualbox/
and restarted Virtualbox but i still do not have choises in language settings!?

(mga4 final 64bit KDE, virtualbox 4.3.6)


While someone look into this, here is a small detail i dont think is necessary to open a new bug for... it may even be upstream?
When starting, it spews out:

$ VirtualBox
Qt WARNING: libpng warning: iCCP: known incorrect sRGB profile
...and about a hundred more lines exacty like the one above
Comment 4 David GEIGER 2014-02-04 22:19:11 CET
Ouppps ! sorry ! something seems to be wrong

for x86_64
# ln -s /usr/share/virtualbox/nls/ /usr/lib64/virtualbox/

for i586
# ln -s /usr/share/virtualbox/nls/ /usr/lib/virtualbox/
Comment 5 Morgan Leijström 2014-02-09 01:30:47 CET
Thanks, that worked.
I added it to https://wiki.mageia.org/en/VirtualBox#On_the_host, pointing back here so we remember to remove it when fix is in update.

I also added much else to that wiki page.

But i have a problem in that automatic folder sharing is not working for a freshly installed mga3 guest.  On the same host now, the mga2 guest i made last year (on a mga2 host, elder vbox) performs file sharing.  Have you tested?
Comment 6 David GEIGER 2014-02-10 19:57:33 CET

What's up ?

Can there be an official patch package? thank you
Comment 7 Thomas Backlund 2014-02-21 13:01:45 CET
There will be an update as soon as I have fixed some more critical issues before
Comment 8 Oleg Bosis 2014-02-21 18:07:45 CET
(In reply to Thomas Backlund from comment #7)
> There will be an update as soon as I have fixed some more critical issues
> before

Thomas, can you also package prebuilt iso-image with guest additions for use in offline environments please? Fedora VB maintainers package this iso after building it by themself but I think it's possible to package official prebuilt iso too. The link to download this iso image for VB 4.3.6 is: http://download.virtualbox.org/virtualbox/4.3.6/VBoxGuestAdditions_4.3.6.iso

And add doc files (in pdf format) to package please. The links are http://download.virtualbox.org/virtualbox/4.3.6/UserManual.pdf and http://download.virtualbox.org/virtualbox/4.3.6/SDKRef.pdf

Thank you in advance.
Comment 9 David GEIGER 2014-04-18 22:46:20 CEST
Ping !  

What's new ?

Thomas, have you thought to correct this bug on new update candidate ?
Comment 10 Thomas Backlund 2014-04-18 23:43:23 CEST
Thanks for reminding me, translations fixed in next build
Comment 11 David GEIGER 2014-04-20 20:20:35 CEST
Thanks Thomas,

I can confirm that this bug is now fixed with the new update candidate for virtualbox-4.3.10-1.1.mga4 on Core/Updates_testing.

Tested on a real hardware:

Comment 12 Guillaume 2014-04-20 20:48:45 CEST
Same for me. No problem noticed with this update.
Tested with Mageia 4 Live DVD on my (real) Mageia i586.
Bug seems to be fixed. I add the ok then.

Thanks again Thomas !
Comment 13 Thomas Backlund 2014-04-20 21:00:38 CEST
Fixed in virtualbox 4.3.10 in mga3, mga4 and cauldron

Note You need to log in before you can comment on or make changes to this bug.